> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/promotions/retrieve-price-matrix-for-product.md).

# Retrieve price matrix for product

Use the **GetPriceMatrix** API call to retrieve details that are used to add or update a special price promotion.

## Request parameters

<table><thead><tr><th width="241.7332763671875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>The unique identifier of the session.</td></tr><tr><td><code>PriceMatrixRequest</code></td><td><strong>Required (array of objects)</strong><br>Contains details that are used to add or update a special price promotion.</td></tr><tr><td><code>PriceMatrixRequestObject</code></td><td><strong>Required (object)</strong></td></tr><tr><td><code>ProductCode</code></td><td><strong>Required (string)</strong><br>Product code for the price matrix.</td></tr><tr><td><code>PricingConfigurationCode</code></td><td><strong>Required (string)</strong><br>Pricing configuration code for the price matrix, must be related to the product.</td></tr></tbody></table>

### Request sample

```php
<?php

require('PATH_TO_AUTH');


$priceMatrixRequestObject1 = new stdClass;
$priceMatrixRequestObject1->productCode = "474FF7C0FD"
$priceMatrixRequestObject1->pricingConfigurationCode = "514EE48419"

$requestBody = [
    $priceMatrixRequestObject1
]

try {
    $priceMatrix = $client->addPromotion($sessionID, $requestBody);
} catch (SoapFault $e) {
    echo "NewPromotion: " . $e->getMessage();
    exit;
}

var_dump("Promotion", $priceMatrix);
```

## Response parameters

<table><thead><tr><th width="236.4000244140625">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>PriceMatrix</code></td><td><strong>Array of objects</strong><br>Only for this type of promotion. It is generated by <code>getPriceMatrix</code> and used to set promotion special prices.</td></tr><tr><td><code>ProductCode</code></td><td><strong>String</strong><br>Product code for the price matrix.</td></tr><tr><td><code>PricingConfigurationCode</code></td><td><strong>String</strong><br>Pricing configuration code for the price matrix, must be related to the product.</td></tr><tr><td><code>OptionHash</code></td><td><strong>String</strong><br>Unique identifier of one combination of price configuration options.</td></tr><tr><td><code>Options</code></td><td><strong>Array of objects</strong><br>Describes price configuration options identified by <code>OptionHash</code>.</td></tr><tr><td><code>GroupName</code></td><td><strong>String</strong></td></tr><tr><td><code>OptionText</code></td><td><strong>String</strong></td></tr><tr><td><code>Prices</code></td><td><strong>Array of objects</strong><br>Promotion prices by currency, price for default currency is required.</td></tr><tr><td><code>Value</code></td><td><strong>Int</strong><br>Decimal.</td></tr><tr><td><code>Currency</code></td><td><strong>String</strong><br>ISO currency code.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/promotions/retrieve-price-matrix-for-product.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
